Package org.apache.lucene.analysis.hunspell

## Interface DictEntries

- All Superinterfaces:
    `Collection<DictEntry>`, `Iterable<DictEntry>`, `List<DictEntry>`

      public interface DictEntries
      extends List<DictEntry>

  An object representing homonym dictionary entries. Note that the order of entries here may differ from the order in the *.dic file!
  See Also:
    `Dictionary.lookupEntries(java.lang.String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default String` | `getMorphologicalData​(int entryIndex)` | Same as `get(entryIndex).getMorphologicalData()`
    `default List<String>` | `getMorphologicalValues​(int entryIndex, String key)` | Same as `get(entryIndex).getMorphologicalValues(key)`
    `int` | `size()` |

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, sort, spliterator, subList, toArray, toArray`

- - ### Method Detail

    - #### size

          int size()

      Specified by:
        `size` in interface `Collection<DictEntry>`
      Specified by:
        `size` in interface `List<DictEntry>`
      Returns:
        a positive number of dictionary entries with the same word. Most often it's 1 (unless there are homonyms). Entries are indexed from 0 to `size() - 1` and these indices can be passed into other methods of this class.

    - #### getMorphologicalData

          default String getMorphologicalData​(int entryIndex)

      Same as `get(entryIndex).getMorphologicalData()`

    - #### getMorphologicalValues

          default List<String> getMorphologicalValues​(int entryIndex,
                                                      String key)

      Same as `get(entryIndex).getMorphologicalValues(key)`